%define name flightgear
%define version 0.9.1
%define release 3mdk
%define prefix %{_prefix}

Summary: The FlightGear Flight Simulator
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Games/Other
BuildRoot: %{_tmppath}/%{name}-buildroot
Source: ftp://ftp.flightgear.org/pub/fgfs/Source/FlightGear-%{version}.tar.bz2
Source1: ftp://ftp.flightgear.org/pub/fgfs/Shared/fgfs-base-%{version}a.tar.bz2
Source10: %{name}.16.png.bz2
Source11: %{name}.32.png.bz2
Source12: %{name}.48.png.bz2
BuildRequires: plib >= 1.6.0 libsimgear-devel >= 0.2.0 libmetakit-devel
URL: http://www.flightgear.org
Obsoletes: FlightGear
Provides: FlightGear = %{version}-%{release}

%description
The Flight Gear project is working to create a sophisticated flight simulator
framework for the development and pursuit of interesting flight simulator
ideas. We are developing a solid basic sim that can be expanded and improved
upon by anyone interested in contributing.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n FlightGear-%{version}

rm -f docs-mini/*~

%build

autoconf

%configure --bindir=%{_gamesbindir} --without-logging

make

%install

%makeinstall bindir=$RPM_BUILD_ROOT/%{_gamesbindir}

mkdir -p $RPM_BUILD_ROOT%{_libdir}
tar xjvf %{SOURCE1} -C $RPM_BUILD_ROOT%{_libdir}

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/fgfs" icon="%{name}.png" \
  needs="x11" section="Amusement/Other" title="FlightGear" \
  longtitle="The FlightGear Flight Simulator"
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
bzcat %{SOURCE11} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE12} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README COPYING AUTHORS docs-mini/
%{_gamesbindir}/*
%{_libdir}/FlightGear
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%_mandir/man1/*

%changelog
* Fri Jan 31 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-3mdk
- fix data location

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-2mdk
- rebuild

* Thu Dec 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-1mdk
- 0.9.1
- add manpages

* Wed Sep 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.0-1mdk
- png icons
- from Crispin Boylan <viewtronix@uklinux.net> :
- new version

* Mon Jun  3 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.10-2mdk
- recompile against latest libstdc++

* Mon Apr 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.10-1mdk
- new version

* Tue Feb 19 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.9-1mdk
- new version

* Mon Oct 15 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.8-4mdk
- fix menu-title-not-capitalized

* Mon Oct 15 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.8-3mdk
- fix obsolete-tag Copyright
- fix invalid-spec-name

* Thu Sep 13 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.8-2mdk
- patch init of sound

* Mon Jul 23 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.8-1mdk
- version 0.7.8

* Thu Jun 21 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.7-1mdk
- version 0.7.7

* Fri Jan  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.6-2mdk
- rebuild

* Wed Dec 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.6-1mdk
- 0.7.6

* Tue Sep 26 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.5-1mdk
- rebuild to remove dependency to libglide.so, thanks to Francois
- added menu entry
- shiny new 0.7.5

* Mon Jul 24 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.4-2mdk
- 0.7.4 final

* Tue Jul  4 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.4-1mdk
- 0.7.4
- ships with the data now

* Thu Jun 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.3-1mdk
- first Mandrake Package

